Confluence Changelog document:
  stage: Release
  needs:
    - Production
    - Changelog for Tag
  rules:
    - if: '$CONFLUENCE_SPACE == "" || $CONFLUENCE_PARENT == ""'
      when: never
    - if: $CI_COMMIT_TAG
  variables:
    APP_REPO_URL: https://github.com/justmiles/go-markdown2confluence/releases/download/
    APP_VERSION: 3.3.1
  script:
    - export CHANGELOG_NAME="ChangeLog $CI_COMMIT_TAG.md"
    - mv changelog.md "$CHANGELOG_NAME"
    - wget "$APP_REPO_URL"v"$APP_VERSION"/go-markdown2confluence_"$APP_VERSION"_linux_x86_64.tar.gz -q -O - | tar -xz
    - chmod +x ./markdown2confluence
    - |
      ./markdown2confluence \
        --space "$CONFLUENCE_SPACE" \
        --parent "$CONFLUENCE_PARENT" \
        "$CHANGELOG_NAME"
